webpackJsonp([5],{

/***/ 543:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StudentPageModule", function() { return StudentPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__student__ = __webpack_require__(573);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(40);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var StudentPageModule = (function () {
    function StudentPageModule() {
    }
    StudentPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__student__["a" /* StudentPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__student__["a" /* StudentPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], StudentPageModule);
    return StudentPageModule;
}());

//# sourceMappingURL=student.module.js.map

/***/ }),

/***/ 573:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StudentPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__libs_util__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_component__ = __webpack_require__(396);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var StudentPage = (function () {
    function StudentPage(util, nav, myapp) {
        this.util = util;
        this.nav = nav;
        this.myapp = myapp;
        this.items = [];
    }
    StudentPage.prototype.ionViewDidLoad = function () {
        var currentStudentId = this.util.getCurrentStudentId();
        var students = this.getStudent();
        for (var i in students) {
            if (currentStudentId == students[i].id)
                students[i]['currentClass'] = 'current';
            this.items.push(students[i]);
        }
    };
    StudentPage.prototype.getStudent = function () {
        return this.util.getStorage('studentDetail');
    };
    StudentPage.prototype.setCurrentStudent = function (id) {
        if (this.items.length == 1) {
            this.util.showAlert('notice', '只有一位學生，無須切換');
        }
        else {
            this.util.showLoading();
            this.util.setCurrentStudentId(id);
            var _this_1 = this;
            setTimeout(function () {
                _this_1.myapp.initSideMenuUserInfo();
                _this_1.myapp.initSideMenu();
                _this_1.util.hideLoading();
                _this_1.nav.setRoot('HomePage');
            }, 500);
        }
    };
    StudentPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-student',template:/*ion-inline-start:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/student/student.html"*/'<ion-header>\n	<ion-navbar color="dark">\n        <button ion-button menuToggle>\n            <ion-icon name="menu" color="white"></ion-icon>\n        </button>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'studentPage.student\' | translate}}</span>\n        </ion-title>\n    </ion-navbar>\n</ion-header>\n\n<ion-content>\n	<ion-grid class="no-padding">\n  		<ion-row class="border-bottom row {{item.currentClass}}" *ngFor="let item of items" (click)="setCurrentStudent(item.id)">\n    		<ion-col col-3>\n    			<ion-img src="{{item.avatar}}" class="avatar"></ion-img>\n    		</ion-col>\n    		<ion-col col-9>\n    			<p style="margin:5px 0 0 0;">{{item.school.name}}</p>\n				<p style="margin:0;">{{item.school.enName}}</p>\n				<p style="margin:0;">{{item.name}}</p>\n				<p style="margin:0;">{{item.groupName}}（{{item.classNo}}）</p>\n    		</ion-col>\n  		</ion-row>\n	</ion-grid>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/git-source/schoolapp/app/gitee/schoolapp/src/pages/student/student.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__libs_util__["a" /* Util */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_3__app_app_component__["a" /* MyApp */]])
    ], StudentPage);
    return StudentPage;
}());

//# sourceMappingURL=student.js.map

/***/ })

});
//# sourceMappingURL=5.js.map